Bug 1306914 - heketi: Invocation of useradd without specifying a UID on x86_64
heketi: Invocation of useradd without specifying a UID on x86_64
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luis Pabón
Anoop
: ZStream
Depends On: 1323545
Blocks: 1117266
  Show dependency treegraph
 
Reported: 2016-02-12 02:41 EST by Shruti Sampat
Modified: 2016-11-08 17:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-01 07:41:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2016-02-12 02:41:43 EST
Description of problem:
-----------------------

heketi - Invocation of useradd without specifying a UID on x86_64:

getent passwd heketi >/dev/null || useradd -r -g heketi -d /var/lib/heketi -s /sbin/nologin -c "heketi user" heketi

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
heketi-1.0.2-1.el6rhs
Comment 7 Luis Pabón 2016-04-03 22:07:31 EDT
Submitted BZ 1323545
Comment 8 Luis Pabón 2016-04-12 08:53:26 EDT
 I'm not sure, but it doesn't look like reserving IDs is the way anymore.  See BZ 1323545.  I will submit a ticket to the FCP and see where that goes.
Comment 9 Luis Pabón 2016-04-12 08:55:02 EDT
Sorry, it's the FPC, not FCP.  Here is the link:  https://fedorahosted.org/fpc/
Comment 10 Luis Pabón 2016-04-12 08:57:35 EDT
Ticket # https://fedorahosted.org/fpc/ticket/619
Comment 11 Luis Pabón 2016-04-12 21:00:22 EDT
Ticket has been updated with the following information:

RHEL guidelines doesn't require static uid reservation - as they basically follow Fedora Packaging Guidelines. Is this static id reservation necessary from technical point of view? Are there any consequences when using dynamic system ids for heketi? 

Is this bug still valid?
Comment 12 Luis Pabón 2016-04-15 17:24:57 EDT
Please see the Fedora ticket above.
Comment 13 Atin Mukherjee 2016-04-28 00:09:37 EDT
Can someone from QE get back with this? Is this still applicable?
Comment 15 Luis Pabón 2016-05-24 15:00:47 EDT
Guys, it looks to me that we need a final answer.  According to Fedora, we no longer need to reserve the user id.  So we can *ask* Fedora to reserve it and then use that value for RHEL.

My opinion is to close this bug.

Note You need to log in before you can comment on or make changes to this bug.